Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts2.views.java
Class DefaultTheme

    java.lang.Object
      org.apache.struts2.views.java.DefaultTheme

All Implemented Interfaces:
  Theme

Direct Known Subclasses:
  SimpleTheme

    public class DefaultTheme

extends Object
implements Theme

Default implementation of the theme

Field Summary
`protected Map<String,List<TagHandlerFactory>>` | `handlerFactories`

Constructor Summary
`DefaultTheme()`

Method Summary
`String` | `getName()`
`protected void` | `insertTagHandlerFactory(String tagName, int sequence, TagHandlerFactory factory)` Insert a new tag handler into a sequence of tag handlers for a specific tag TODO: Need to take care of serializers, if handler specified is not a TagSerializer it should never be placed after the serializer, but if it is not a TagSerializer, it should never
`void` | `renderTag(String tagName, TemplateRenderingContext context)`
`protected void` | `setHandlerFactories(Map<String,List<TagHandlerFactory>> handlers)`
`protected void` | `setName(String name)`
`protected void` | `setTagHandlerFactories(String tagName, List<TagHandlerFactory> handlers)` Set (replace if exists) the tag handler factories for specific tag

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### handlerFactories

    protected Map<String,List<TagHandlerFactory>> handlerFactories

Constructor Detail

### DefaultTheme

    public DefaultTheme()

Method Detail

### setName

    protected void setName(String name)

### setHandlerFactories

    protected void setHandlerFactories(Map<String,List<TagHandlerFactory>> handlers)

### setTagHandlerFactories

    protected void setTagHandlerFactories(String tagName,
                                          List<TagHandlerFactory> handlers)

  Set (replace if exists) the tag handler factories for specific tag

  Parameters:
    `tagName` -
    `handlers` -

### insertTagHandlerFactory

    protected void insertTagHandlerFactory(String tagName,
                                           int sequence,
                                           TagHandlerFactory factory)

  Insert a new tag handler into a sequence of tag handlers for a specific tag TODO: Need to take care of serializers, if handler specified is not a TagSerializer it should never be placed after the serializer, but if it is not a TagSerializer, it should never

  Parameters:
    `tagName` -
    `sequence` -
    `factory` -

### getName

    public String getName()

  Specified by:
    `getName` in interface `Theme`

### renderTag

    public void renderTag(String tagName,
                          TemplateRenderingContext context)

  Specified by:
    `renderTag` in interface `Theme`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000–2018 Apache Software Foundation. All rights reserved.